package compapi

import (
	"github.com/openai/openai-go"
)

const (
	ChatModelDeepSeekV3 openai.ChatModel = "deepseek-chat"
	ChatModelDeepSeekR1 openai.ChatModel = "deepseek-reasoner"

	APIAuthInfoKey string = "COMPAPI_AUTHINFO"
)

type workIdInfo struct {
	Id  string
	Idx int
}

var fastgptWorkIdMap = map[string]workIdInfo{
	"default":              {"fastgpt-jcDATa9aH4vtUsjDpCU773BxmLU50IxKUX9nUT0mCTLQkEoo1hPxPEdNQeOEWGTn", 0},
	"OPTIMIZE_CALL_SCRIPT": {"fastgpt-bcQ9cWKd6y9a2LfizweeWEnukkQi1Oq46yoiRg9yDNLm8NPTWXsyFwcB", 1},
	"TEST_DOUYIN":          {"fastgpt-bwt6oSGcjwJ1qBgT276oeFD34IAhfjEQBCZWJfJR1oj3WqJl7751ljSrc", 2},
}
